Machine-readable OpenAPI 3.1 spec: openapi.json
| Path | Purpose |
|---|---|
| /.well-known/api-catalog | RFC 9727 linkset of all APIs |
| /.well-known/oauth-protected-resource | RFC 9728 resource metadata |
| /.well-known/oauth-authorization-server | RFC 8414 auth server metadata |
| /.well-known/mcp/server-card.json | MCP server card (planned) |
| /.well-known/agent-skills/index.json | Agent skills index v0.2 |
Write operations require one of:
/wp-admin/profile.php, send via HTTP Basic auth.GET https://www.icorkfloor.com/wp-json/ — API root, lists all registered routesGET https://www.icorkfloor.com/wp-json/wp/v2/product — List products (public)GET https://www.icorkfloor.com/wp-json/wc/store/v1/products — Storefront product listingGET https://www.icorkfloor.com/wp-json/wc/store/v1/cart — Current session cartGET https://www.icorkfloor.com/wp-json/wc/v3/orders — Orders (auth required)Unauthenticated read requests are subject to standard site caching and may be rate-limited by Cloudflare. Authenticated requests follow WooCommerce's default per-connection limits.
See the WooCommerce REST API Handbook and the WordPress REST API Handbook for complete schemas and examples.